# Uses of Enum Class
org.jboss.classfilewriter.code.StackFrameType

Packages that use StackFrameType
Package
Description
org.jboss.classfilewriter.code

## Uses of StackFrameType in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return StackFrameType
Modifier and Type
Method
Description
`StackFrameType`
StackFrame.`getType()`
`static StackFrameType`
StackFrameType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StackFrameType[]`
StackFrameType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.jboss.classfilewriter.code with parameters of type StackFrameType
Modifier
Constructor
Description
``
`StackFrame(StackState stackState, LocalVariableState localVariableState, StackFrameType type)`